package com.yiqi.core.service;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yiqi.core.domain.ClothBrand;

/**
 * 衣服品牌Service接口
 *
 * @author ruoyi
 * @date 2023-10-16
 */
public interface IClothBrandService extends IService<ClothBrand> {
    /**
     * 查询衣服品牌
     *
     * @param id 衣服品牌主键
     * @return 衣服品牌
     */
    public ClothBrand selectClothBrandById(Long id);

    /**
     * 查询衣服品牌列表
     *
     * @param clothBrand 衣服品牌
     * @return 衣服品牌集合
     */
    public List<ClothBrand> selectClothBrandList(ClothBrand clothBrand);

    /**
     * 新增衣服品牌
     *
     * @param clothBrand 衣服品牌
     * @return 结果
     */
    public int insertClothBrand(ClothBrand clothBrand);

    /**
     * 修改衣服品牌
     *
     * @param clothBrand 衣服品牌
     * @return 结果
     */
    public int updateClothBrand(ClothBrand clothBrand);

    /**
     * 批量删除衣服品牌
     *
     * @param ids 需要删除的衣服品牌主键集合
     * @return 结果
     */
    public int deleteClothBrandByIds(Long[] ids);

    /**
     * 删除衣服品牌信息
     *
     * @param id 衣服品牌主键
     * @return 结果
     */
    public int deleteClothBrandById(Long id);


    /**
     * 修改衣服品牌状态
     *
     * @param clothBrand 衣服品牌
     * @return 结果
     */
    public int updateClothBrandStatus(ClothBrand clothBrand);

}
